<script setup lang="ts">
import { useRoute, useRouter } from 'vue-router'
import { ref, onMounted } from 'vue'

const router = useRouter()
const route = useRoute()
</script>

<template>
      <div></div>
  


  <!-- <div class="floating-button2">
    <v-btn
      color="primary"
      width="150"
      height="60"
      rounded
      @click="console.log()"
      :class="{ active: route.name === 'promotionmember' }"
      :to="{ path: '/PromotionMember' }"
    >
      <v-icon size="25">mdi-arrow-right</v-icon>
      <div style="font-size: 10px">Promotion</div>
    </v-btn>
  </div> -->
</template>

<style scoped>
.floating-button {
  position: absolute;
  top: 700px;
  left: 25%; /* Adjust as needed */
  z-index: 1000;
}

.floating-button2 {
  position: absolute;
  top: 700px;
  left: 40%; /* Adjust as needed */
  z-index: 1000;
}

.floating-button3 {
  position: absolute;
  top: 700px;
  left: 55%; /* Adjust as needed */
  z-index: 1000;
}

.floating-button4 {
  position: absolute;
  top: 700px;
  left: 70%; /* Adjust as needed */
  z-index: 1000;
}

.bn54 {
  position: relative;
  outline: none;
  text-decoration: none;
  border-radius: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  text-transform: uppercase;
  height: 50px;
  width: 150px;
  opacity: 1;
  background-color: #e65100;
  /* border: 1px solid rgba(0, 0, 0, 0.6); */
}

.bn54 .bn54span {
  font-family: 'Crimson Text';
  color: #ffff;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0.7px;
}

.bn54:hover {
  animation: bn54rotate 0.7s ease-in-out both;
}

.bn54:hover .bn54span {
  animation: bn54storm 0.7s ease-in-out both;
  animation-delay: 0.06s;
}

@keyframes bn54rotate {
  0% {
    transform: rotate(0deg) translate3d(0, 0, 0);
  }
  25% {
    transform: rotate(3deg) translate3d(0, 0, 0);
  }
  50% {
    transform: rotate(-3deg) translate3d(0, 0, 0);
  }
  75% {
    transform: rotate(1deg) translate3d(0, 0, 0);
  }
  100% {
    transform: rotate(0deg) translate3d(0, 0, 0);
  }
}

@keyframes bn54storm {
  0% {
    transform: translate3d(0, 0, 0) translateZ(0);
  }
  25% {
    transform: translate3d(4px, 0, 0) translateZ(0);
  }
  50% {
    transform: translate3d(-3px, 0, 0) translateZ(0);
  }
  75% {
    transform: translate3d(2px, 0, 0) translateZ(0);
  }
  100% {
    transform: translate3d(0, 0, 0) translateZ(0);
  }
}
</style>
